Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.blip
Class WMF.AldusHeader

    java.lang.Object
      org.apache.poi.hslf.blip.WMF.AldusHeader

Enclosing class:
  WMF

    public class WMF.AldusHeader

extends java.lang.Object

Aldus Placeable Metafile header - 22 byte structure before WMF data.

- int Key; Magic number (always 9AC6CDD7h)
- short Handle; Metafile HANDLE number (always 0)
- short Left; Left coordinate in metafile units
- short Top; Top coordinate in metafile units
- short Right; Right coordinate in metafile units
- short Bottom; Bottom coordinate in metafile units
- short Inch; Number of metafile units per inch
- int Reserved; Reserved (always 0)
- short Checksum; Checksum value for previous 10 shorts

Field Summary
`static int` | `APMHEADER_KEY`
`int` | `bottom`
`int` | `checksum`
`int` | `handle`
`int` | `inch`
`int` | `left`
`int` | `reserved`
`int` | `right`
`int` | `top`

Constructor Summary
`WMF.AldusHeader()`

Method Summary
`int` | `getChecksum()` Returns a checksum value for the previous 10 shorts in the header.
`int` | `getSize()`
`void` | `read(byte[] data, int offset)`
`void` | `write(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APMHEADER_KEY

    public static final int APMHEADER_KEY

See Also:
  Constant Field Values

### handle

    public int handle

### left

    public int left

### top

    public int top

### right

    public int right

### bottom

    public int bottom

### inch

    public int inch

### reserved

    public int reserved

### checksum

    public int checksum

Constructor Detail

### WMF.AldusHeader

    public WMF.AldusHeader()

Method Detail

### read

    public void read(byte[] data,
                     int offset)

### getChecksum

    public int getChecksum()

  Returns a checksum value for the previous 10 shorts in the header. The checksum is calculated by XORing each short value to an initial value of 0:

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSize

    public int getSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.